Subject: [bess] Resolutions on draft-snr-bess-evpn-loop-protect &

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Sat, 12 Oct 2019 00:31:43 +0000

Hi Stephane,

Jorge and I had a meeting to discuss our comments on the following two drafts that are going through WG call:

https://tools.ietf.org/html/draft-snr-bess-pbb-evpn-isid-cmacflush-06
https://datatracker.ietf.org/doc/draft-snr-bess-evpn-loop-protect/

and reached the following resolutions:

On isid-cmacflush, we agreed to proceed with this draft and since we don’t want to have two separate solutions for I-SID flushing in PBB-EVPN, we decided to remove the section on I-SID flushing in virtual-eth-segment. The main factor for this decision was the fact that isid-cmacflush draft has been implemented by at least one vendor; whereas, the isid flusing section in virtual-eth-segment draft has not been implemented by any vendor to best of our knowledge even though the draft at large has been implemented by many vendors. If any of the co-authors or WG individual has any comment about this, please speak up, otherwise we’ll remove the appropriate section.

On loop-protect draft, we agreed on holding its WG adoption at this time and extend mac mobility in rfc7432bis to cover loops. The main factor for this decision was the fact that the detection mechanism for loop-protect draft is the same as mac-duplicate detection mechanism in section 15.1 of RFC 7432. So, we agreed we can build based on that and add some paragraphs to describe the action of loop protection. Once rfc7432bis is out, we would like to encourage people to read it and, unless there is feedback against it, the loop-protect draft will be abandoned. If there is feedback stating 7432bis is not enough for loop protection, at that time we can discuss if the loop-protect draft needs to be resumed and extended or if a new draft is needed.

Regards,
Ali & Jorge

---

From: <[email-masked]>
Date: Mon, 14 Oct 2019 11:47:35 +0200

Hi Folks,

Many thanks for these outcomes and resolution.

I’ll add a comment on the datatracker for the loop-protect draft and I’ll proceed with the adoption of the isid-cmacflush.

Stephane

From: Ali Sajassi (sajassi) <[email-masked]> 
Sent: samedi 12 octobre 2019 02:32
To: [email-masked]; [email-masked]
Cc: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>; Ali Sajassi (sajassi) <[email-masked]>
Subject: Resolutions on draft-snr-bess-evpn-loop-protect & 

Hi Stephane, 

 <https://tools.ietf.org/html/draft-snr-bess-pbb-evpn-isid-cmacflush-06> https://tools.ietf.org/html/draft-snr-bess-pbb-evpn-isid-cmacflush-06

 <https://datatracker.ietf.org/doc/draft-snr-bess-evpn-loop-protect/> https://datatracker.ietf.org/doc/draft-snr-bess-evpn-loop-protect/

Regards,

Ali & Jorge